## fomp 1.0.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import shutil
import waflib.extras.autowaf as autowaf

# Version of this package (even if built as a child)
FOMP_VERSION = '1.0.0'

# Mandatory waf variables
APPNAME = 'fomp'        # Package name for waf dist
VERSION = FOMP_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_cxx')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Fomp.LV2 Configuration')

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')

    # Set env.pluginlib_PATTERN
    pat = conf.env.cxxshlib_PATTERN
    if pat[0:3] == 'lib':
        pat = pat[3:]
    conf.env.pluginlib_PATTERN = pat
    conf.env.pluginlib_EXT = pat[pat.rfind('.'):]

    autowaf.display_msg(conf, 'LV2 bundle directory',
                        conf.env.LV2DIR)
    print('')

def build_plugin(bld, lang, bundle, name, source, defines=None):
    # Build plugin library
    penv = bld.env.derive()
    penv.cxxshlib_PATTERN = bld.env.pluginlib_PATTERN
    obj = bld(features     = '%s %sshlib' % (lang,lang),
              env          = penv,
              source       = source,
              includes     = ['.', 'src/include'],
              name         = name,
              target       = os.path.join(bundle, name),
              uselib       = ['LV2'],
              install_path = '${LV2DIR}/' + bundle)
    if defines != None:
        obj.defines = defines

def build(bld):
    # Copy data files to build bundle (build/fomp.lv2)
    def do_copy(task):
        src = task.inputs[0].abspath()
        tgt = task.outputs[0].abspath()
        return shutil.copy(src, tgt)

    for i in bld.path.ant_glob('fomp.lv2/*.ttl'):
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = bld.path.get_bld().make_node('fomp.lv2/%s' % i),
            install_path = '${LV2DIR}/fomp.lv2')

    bld(features     = 'subst',
        source       = 'fomp.lv2/manifest.ttl.in',
        target       = bld.path.get_bld().make_node('fomp.lv2/manifest.ttl'),
        LIB_EXT      = bld.env.pluginlib_EXT,
        install_path = '${LV2DIR}/fomp.lv2')

    plugins = ['autowah',
               'blvco',
               'cs_chorus',
               'cs_phaser',
               'filters',
               'mvchpf24',
               'mvclpf24']
    for i in plugins:
        build_plugin(bld, 'cxx', 'fomp.lv2', i,
                     ['src/%s.cc' % i,
                      'src/%s_lv2.cc' % i])

=== debian/changelog ===
fomp (1.0.0~dfsg0-3) unstable; urgency=medium

  * Bring package to pkg-multimedia team.(Closes: #815229)
  * Add myself as uploader.
  * Add Vcs fields.
  * Bump Standards.
  * Set dh/compat 10.
  * Use secure uri in watch file.
  * Avoid useless linking - properly.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 29 Oct 2017 17:29:41 +0100

fomp (1.0.0~dfsg0-2) unstable; urgency=medium

  * QA upload.
  * Orphaning

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 10:55:14 +0000

fomp (1.0.0~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #692354)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Nov 2012 10:49:59 +0000

=== debian/control ===
Source: fomp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10~),
 lv2-dev,
 pkg-config,
 python
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
Homepage: http://drobilla.net/software/fomp/

Package: fomp
Architecture: any
Provides:
 lv2-plugin
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: collection of LV2 audio plugins
 Fomp is an LV2 port of the MCP, VCO, FIL, and WAH plugins
 originally written by Fons Adriaensen.
 .
 There are 13 plugins in total: 1 auto-wah, 1 EQ, 3 chorus,
 5 filters, and 3 oscillators.
 .
 The plugin implementations are identical to their LADSPA
 forebears, except the primary frequency port of oscillators
 and filters has been converted to Hz to facilitate use in any
 host without assuming the hidden tuning frequency of
 AlsaModularSynth. All other frequency ports remain as they
 were, using octaves for faithful Moog-like modulation.

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/fomp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# get-orig-source to drop waf
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -9fz $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/fomp-(.*)\.tar\.bz2

## fomp 1.2.0

=== wscript ===
#!/usr/bin/env python

import os
import re
import shutil

from waflib.extras import autowaf

# Version of this package (even if built as a child)
FOMP_VERSION = '1.2.0'

# Mandatory waf variables
APPNAME = 'fomp'        # Package name for waf dist
VERSION = FOMP_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
title        = 'Fomp.lv2'
uri          = 'http://drobilla.net/sw/fomp.lv2'
dist_pattern = 'http://download.drobilla.net/fomp-lv2-%d.%d.%d.tar.bz2'
post_tags    = ['LV2', 'Fomp.lv2']

def options(opt):
    opt.load('compiler_cxx')
    opt.load('lv2')

def configure(conf):
    conf.load('compiler_cxx', cache=True)
    conf.load('lv2', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.check_pkg('lv2 >= 1.0.0', uselib_store='LV2')

    conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
    autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})

def build_plugin(bld, lang, bundle, name, source, defines=None):
    obj = bld(features     = '%s %sshlib lv2lib' % (lang,lang),
              source       = source,
              includes     = ['.', 'src/include'],
              name         = name,
              target       = os.path.join('lv2', bundle, name),
              uselib       = ['LV2'],
              install_path = '${LV2DIR}/' + bundle)

    if defines != None:
        obj.defines = defines

def build(bld):
    # Copy data files to build bundle (build/fomp.lv2)
    def do_copy(task):
        src = task.inputs[0].abspath()
        tgt = task.outputs[0].abspath()
        return shutil.copy(src, tgt)

    for i in bld.path.ant_glob('fomp.lv2/*.ttl'):
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = 'lv2/fomp.lv2/%s' % i.name,
            install_path = '${LV2DIR}/fomp.lv2')

    bld(features     = 'subst',
        source       = 'fomp.lv2/manifest.ttl.in',
        target       = 'lv2/fomp.lv2/manifest.ttl',
        LIB_EXT      = bld.env.LV2_LIB_EXT,
        install_path = '${LV2DIR}/fomp.lv2')

    plugins = ['autowah',
               'blvco',
               'cs_chorus',
               'cs_phaser',
               'filters',
               'mvchpf24',
               'mvclpf24']
    for i in plugins:
        build_plugin(bld, 'cxx', 'fomp.lv2', i,
                     ['src/%s.cc' % i,
                      'src/%s_lv2.cc' % i])
    build_plugin(bld, 'cxx', 'fomp.lv2', 'reverbs',
                 ['src/reverbs.cc',
                  'src/pareq.cc',
                  'src/zreverb.cc',
                  'src/reverbs_lv2.cc'])

=== debian/changelog ===
fomp (1.2.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Build with python3 (Closes: #943062)
    + Use https protocol for homepage
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year, http > https and add myself
  * d/rules:
    + Fix WAF variable
    + Clean up, remove get-orig-source
  * d/watch: Remove opts

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 20:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: fomp
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  lv2-dev,
  pkg-config,
- python
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/fomp.git
-Homepage: http://drobilla.net/software/fomp/
+ python3
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/fomp.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/fomp
+Homepage: https://drobilla.net/software/fomp/
+Rules-Requires-Root: no
 
 Package: fomp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
WAF = python3 ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/fomp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
https://download.drobilla.net/fomp-(.*)\.tar\.bz2

## fomp 1.2.2

=== wscript ===
--- 
+++ 
@@ -4,10 +4,11 @@
 import re
 import shutil
 
+from waflib import Options
 from waflib.extras import autowaf
 
 # Version of this package (even if built as a child)
-FOMP_VERSION = '1.2.0'
+FOMP_VERSION = '1.2.2'
 
 # Mandatory waf variables
 APPNAME = 'fomp'        # Package name for waf dist
@@ -29,9 +30,47 @@
     conf.load('compiler_cxx', cache=True)
     conf.load('lv2', cache=True)
     conf.load('autowaf', cache=True)
-    autowaf.set_c_lang(conf, 'c99')
+    autowaf.set_cxx_lang(conf, 'c++11')
 
-    conf.check_pkg('lv2 >= 1.0.0', uselib_store='LV2')
+    if Options.options.ultra_strict:
+        autowaf.add_compiler_flags(conf.env, 'cxx', {
+            'clang': [
+                '-Wno-double-promotion',
+                '-Wno-enum-float-conversion',
+                '-Wno-float-conversion',
+                '-Wno-float-equal',
+                '-Wno-global-constructors',
+                '-Wno-implicit-float-conversion',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-reserved-id-macro',
+                '-Wno-shadow-field',
+                '-Wno-shorten-64-to-32',
+                '-Wno-sign-conversion',
+                '-Wno-suggest-override',
+                '-Wno-suggest-destructor-override',
+                '-Wno-unused-macros',
+                '-Wno-unused-parameter',
+                '-Wno-weak-vtables',
+                '-Wno-zero-as-null-pointer-constant',
+            ],
+            'gcc': [
+                '-Wno-conversion',
+                '-Wno-double-promotion',
+                '-Wno-effc++',
+                '-Wno-float-conversion',
+                '-Wno-float-equal',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-suggest-attribute=const',
+                '-Wno-suggest-override',
+                '-Wno-unused-macros',
+                '-Wno-unused-parameter',
+                '-Wno-zero-as-null-pointer-constant',
+            ]
+        })
+
+    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
 
     conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
     autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})
@@ -39,7 +78,6 @@
 def build_plugin(bld, lang, bundle, name, source, defines=None):
     obj = bld(features     = '%s %sshlib lv2lib' % (lang,lang),
               source       = source,
-              includes     = ['.', 'src/include'],
               name         = name,
               target       = os.path.join('lv2', bundle, name),
               uselib       = ['LV2'],

=== debian/changelog ===
fomp (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Add pgpmode=auto to d/watch
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Update d/copyright year for my entry
  * Remove unnecessary LDFLAGS from d/rules
  * Include architecture.mk instead of defining DEB_HOST_MULTIARCH

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 19 Jan 2021 20:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  lv2-dev,
  pkg-config,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/fomp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fomp
 Homepage: https://drobilla.net/software/fomp/

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 WAF = python3 ./waf
 
 %:

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.drobilla.net/fomp-(.*)\.tar\.bz2

## fomp 1.2.4

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: CC0-1.0 OR GPL-2.0-or-later

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('lv2dir', type: 'string', value: '', yield: true,
       description: 'LV2 bundle installation directory')

option('title', type: 'string', value: 'Fomp.lv2',
       description: 'Project title')

=== debian/changelog ===
fomp (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * Change B-D from pkg-config to pkgconf
  * Build with meson
  * Bump d/copyright years
  * Refresh d/lintian-overrides
  * Use the default ci config from salsa
  * d/watch: Recognize all archive extensions

 -- Dennis Braun <snd@debian.org>  Fri, 26 Apr 2024 21:04:14 +0200

fomp (1.2.2-2) unstable; urgency=medium

  * Clean lock file from successful build (Closes: #1044937)
  * Fix the installation to the default lv2 path
  * Surpress false positive blhc messages
  * Bump Standards-Version to 4.6.2
  * Change my email address
  * Add lintian-overrides
  * Add salsa ci config
  * Build verbose

 -- Dennis Braun <snd@debian.org>  Wed, 27 Sep 2023 19:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  lv2-dev,
- pkg-config,
+ pkgconf,
+ meson,
  python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/fomp.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fomp
 Homepage: https://drobilla.net/software/fomp/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlv2dir='/usr/lib/lv2'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.drobilla.net/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
